gRPC C#
gRPC C#
Namespaces
Grpc.Core
Marshaller(T) Class
Marshaller(T) Constructor
Marshaller(T) Properties
Marshaller(T) Methods

Marshaller T Class

Encapsulates the logic for serializing and deserializing messages.
Inheritance Hierarchy
System
Object
Grpc.Core
Marshaller
T

Namespace: Grpc.Core
Assembly: Grpc.Core (in Grpc.Core.dll) Version: 0.7.0.0
Syntax
C#
VB
C++
F#
Copy

    public class Marshaller<T>

    Public Class Marshaller(Of T)

    generic<typename T>
    public ref class Marshaller

    type Marshaller<'T> =  class end

#### Type Parameters

T

  [Missing <typeparam name="T"/> documentation for "T:Grpc.Core.Marshaller`1"]

The Marshaller
T
type exposes the following members.

Constructors

| Name | Description
--- | --- | ---
| Marshaller T | Initializes a new marshaller.

Top
Properties

| Name | Description
--- | --- | ---
| Deserializer | Gets the deserializer function.
| Serializer | Gets the serializer function.

Top
Methods

| Name | Description
--- | --- | ---
| Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
| Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
| GetHashCode | Serves as the default hash function. (Inherited from Object.)
| GetType | Gets the Type of the current instance. (Inherited from Object.)
| MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
| ToString | Returns a string that represents the current object. (Inherited from Object.)

Top
See Also

#### Reference

Grpc.Core Namespace